<template>
  <div class="infoWin">
    <div class="header-new"><img class="header-img" src="@/assets/images/mapSearch/考场-2.png" alt="" />{{ info.name }}</div>

    <div class="content-new">
      <div class="content-new-label">所属考试点：</div>
      <div class="content-new-value active" @click="clickExamSite(info, 'exam')">{{ info.examSiteName }}</div>
    </div>
    <div class="content-new">
      <div class="content-new-label">所属培训单位：</div>
      <div class="content-new-value">
        <el-tooltip effect="dark" :content="info.companyName" placement="top">
          <div class="content-new-value active" @click="clickCompany(info, 'exam')">
            {{ info.companyNameSlice }}
          </div>
        </el-tooltip>
      </div>
    </div>
    <div class="content-new">
      <div class="content-new-label">最大容纳人数：</div>
      <div class="content-new-value">
        {{ info.capacityOfPerson }}
      </div>
    </div>
    <div class="content-new">
      <div class="content-new-label">有效范围：</div>
      <div class="content-new-value">{{ Number(info.scopeRange).toFixed(2) }}米</div>
    </div>
    <div class="content-new">
      <div class="content-new-label">当前考试名称：</div>
      <div class="content-new-value">{{ info.examName }}</div>
    </div>
    <div class="content-new">
      <div class="content-new-label">当前考试时间：</div>
      <div class="content-new-value">{{ info.examTimeScope }}</div>
    </div>
    <div class="content-new">
      <div class="content-new-label">考试类型：</div>
      <div class="content-new-value">{{ info.examType }}</div>
    </div>
    <div class="content-new">
      <div class="content-new-label">监考老师：</div>
      <div class="content-new-value active" @click="clickExamEmployees(info, 'exam')">
        {{ info.countOfTeachers }}
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "OverlayExam",
  props: {
    info: {
      type: Object,
    },
    returnWin: {
      type: Object,
    },
  },
  data() {
    return {};
  },
  methods: {
    /**
     * @跳转考试点
     */
    clickExamSite(info, infoType) {
      // this.$bus.$emit("click-examSite", { info, infoType });
      this.$emit("click-examSite", info, infoType);
    },
    /**
     * @跳转公司
     */
    clickCompany(info, infoType) {
      this.$bus.$emit("click-company", { info, infoType }); // 对应父组件 resource/index.vue eventBusBinding 方法中 this.$bus.$on("click-company", this.showCompanyInfo)
      this.$emit("click-company", info, infoType); // 对应父组件 resource/index.vue eventBusBinding 方法中 this.$bus.$on("click-company", this.showCompanyInfo)
    },
    /**
     * @点击监考人数
     */
    clickExamEmployees(info, infoType) {
      this.$bus.$emit("click-stationEmployees", { info, infoType });
      this.$emit("click-examEmployees", info, infoType);
    },
  },
};
</script>

<style scoped></style>
